opts = get_default_opts();

% should use train or test
opts.bsds_gen.delta_raw = 0.02;

% keypoint parameters
kp_params = [];
kp_params.min_sep = 0.03;
kp_params.reg = 0.05;
kp_params.pixel_neighbors = 0;
kp_params.r = 3;
kp_params.use_multiscale = true;

kp_params.use_random = false;
kp_params.num_pairs = 1000;

opts.bsds_gen.kp_params = kp_params;
opts.bsds_gen.OUT_DIR = 'BSDS/bsds_annotations_simple_ms/';
opts.bsds_gen.use_second_order_neighbors = false;

opts.bsds_gen.train = 0;

opts.viz = true;

generate_bsds_annotations_simple(opts);
