opts = get_default_opts();

opts.NYU_gen.train = 0;
opts.NYU_gen.data_set = 'NYU/MS_raw_small';
opts.NYU_gen.annotations_dir = 'nyu_annotations_simple_ms/';
opts.NYU_gen.closer_field = 'closer_raw';
opts.NYU_gen.closer_score_field = 'closer_score_raw';

opts.NYU_gen.comps_per_image = 800; % set -1 to use all

% parameters for extraction
params = [];
params.N = 16; % half patch size
params.mask_size = 32; % mask size for each blob (location of patch within the ROI) and ROI
params.blob_std = 0.1; % blob standard deviation
params.num_scales = 5;
params.BB_size = 32;

opts.params_MS = params;
disp('generating ms data');
disp(opts.NYU_gen);

opts.viz = false;
%%
generate_nyu_ms_for_dnn(opts);

