function data_in = prepare_DNN_input_generic(data_in)
% for all the cells in data_in which are HxWxCxB matrices, do the
% appropriate preprocessing

scale = 0.00390625;

for i=1:length(data_in)
    if isinteger(data_in{i})
        data_in{i} = single(data_in{i})*scale;
        data_in{i} = data_in{i}(:,:,size(data_in{i},3):-1:1,:);
        data_in{i} = permute(data_in{i},[2 1 3 4]);
    end
   
end
