function [Z_] = get_nearest_training_Z(Z,training_Zs)
    
    %pdist2(Z,training_Zs,'spearman');
    
    Z = imresize(Z,0.01);
    training_Zs = imresize(training_Zs,0.01);
    
    d = [];
    for i=1:size(training_Zs,3)
        %d(i) = 1-corr(to_vec(Z),to_vec(training_Zs(:,:,i)),'type','Pearson');
        d(i) = sqrt(sum(sum(abs(Z-training_Zs(:,:,i)).^2)));
    end
    
    
    [~,ii] = min(d);
    
    Z_ = training_Zs(:,:,ii);
end