init_setup;
INPUT_DIR = [RESULTS_DIR 'NYU/20150419T164154/'];%20150419T164154
%%
if ~exist('images','var')
    load([DATA_DIR 'NYU/splits_nyu.mat']);
    load([DATA_DIR 'NYU/nyu_depth_v2_labeled.mat']);
    gt_depths = depths;
end

%%
mean_Z_image = mean(gt_depths(:,:,trainNdxs),3);
mean_Z = mean(mean_Z_image(:));

%h = hist(gt_depths(:),100);
min_Z = min(gt_depths(:));
max_Z = max(gt_depths(:));
 
for i=1:size(gt_depths,3)
    a(i) = min(min(gt_depths(:,:,i)));
    b(i) = max(max(gt_depths(:,:,i)));
end
mean_min_Z = mean(a);
mean_max_Z = mean(b);

idx = testNdxs;%testNdxs;%valNdxs;
how_many = length(idx);


%%
load([DATA_DIR 'eigen/predictions_depth.mat']);
predicted_mask = imresize(predicted_mask,2,'nearest');
%%
mse = cell(3,1);
lsi = cell(3,1);
for t=1:2
    mse{t} = zeros(length(idx),1);
    mse_i{t} = zeros(length(idx),1);
    mselog{t} = zeros(length(idx),1);
    lsi{t} = zeros(length(idx),1);
    absrel{t} = zeros(length(idx),1);
    sqrrel{t} = zeros(length(idx),1);
    rho{t} = zeros(length(idx),1);
    WKDR{t} = zeros(length(idx),1);
    WKDR_eq{t} = zeros(length(idx),1);
    WKDR_neq{t} = zeros(length(idx),1);
end

Z_ours = [];
Z_gts = [];

fmse = @(z,gtz) (mean((z(:)-gtz(:)).^2));
fmselog = @(z,gtz) (mean((log(z(:)) - log(gtz(:))).^2));
flsi = @(z,gtz) mean( ( log(z(:))-log(gtz(:)) + mean(log(z(:))-log(gtz(:))) ).^2);
fabsrel = @(z,gtz) mean(abs(z(:)-gtz(:))./gtz(:));
fsqrrel = @(z,gtz) mean((z(:)-gtz(:)).^2./gtz(:));
frho = @(z,gtz) corr(z(:),gtz(:),'type','Spearman');
meanZ = mean(mean2(gt_depths(:,:,trainNdxs)));

relation_field = 'closer';
relation_score = 'closer_score';

for i=1:how_many%length(idx)
    fprintf('%d of %d\n',i,length(idx));
    
    load(sprintf([DATA_DIR 'NYU/nyu_annotations_simple_ms/%d_comps.mat'],idx(i)),'comps','points','opts');
    inds = randperm(length(comps));
    comps(inds(1001:end)) = [];
    delta = opts.NYU_gen.delta_raw;
    
    I = images(:,:,:,idx(i));

    gtZ = gt_depths(:,:,idx(i));
    
    t=1;
    
    load(sprintf([INPUT_DIR 'ROI_ls_%d.mat'],i),'data');
    Z = data.Z;
    Z_ours(:,:,i) = Z;
    
    crop = data.opts.crop_region;
    
    gtZ = gtZ(crop:end-crop,crop:end-crop);
    Z_gts(:,:,i) = gtZ;
    
    %Z = Z-mean(Z(:)) + mean_Z;
    %Z = mat2gray(Z);
    %Z = Z*(mean_max_Z-mean_min_Z)+mean_min_Z;
    %mean_Z_image_ = mean_Z_image(crop:end-crop,crop:end-crop);
    %Z = Z-mean(Z(:)) + mean_Z_image_;
    
    mean_Z_image_ = mean_Z_image(crop:end-crop,crop:end-crop);
    
    %{
    %a = gt_depths(:,:,trainNdxs(1));
    %a = gtZ;
    a = mean_Z_image_;
    %a = get_nearest_training_Z(Z,gt_depths(crop:end-crop,crop:end-crop,trainNdxs));
    h = hist(a(:),1000);
    Z = histeq(mat2gray(Z),h);
    Z = Z*(max(a(:))-min(a(:)))+min(a(:));
    %}
    
    
    %f = @(x) (sqrt(mean(fmse(x(1)*Z+x(2),gtZ))));
    %x = fminsearch(f,[1,0]);
    %x = find_ab(Z,gtZ);
    %Z = x(1)*Z+x(2);
    
    mse{t}(i) = fmse(Z,gtZ);
    mse_i{t}(i) = fmse_i(Z,gtZ);
    mselog{t}(i) = fmselog(Z,gtZ);
    lsi{t}(i) = flsi(Z,gtZ);
    absrel{t}(i) = fabsrel(Z,gtZ);
    sqrrel{t}(i) = fsqrrel(Z,gtZ);
    rho{t}(i) = frho(Z,gtZ);
    [WKDR{t}(i),WKDR_eq{t}(i),WKDR_neq{t}(i)] = WHDR(inpaint_pad(Z,crop),points,comps,delta,relation_field,relation_score);
    
    
    t=t+1;
    eigen_Z = imresize(depths(:,:,i),2,'bilinear');
    eigen_Z = eigen_Z(crop:end-crop,crop:end-crop);
    
    %f = @(x) (sqrt(mean(fmse(x(1)*eigen_Z+x(2),gtZ))));
    %x = fminsearch(f,[1,0]);
    %x = find_ab(eigen_Z,gtZ);
    %eigen_Z = x(1)*eigen_Z+x(2);
    
    mse{t}(i) = fmse(eigen_Z,gtZ);
    mse_i{t}(i) = fmse_i(eigen_Z,gtZ);
    mselog{t}(i) = fmselog(eigen_Z,gtZ);
    lsi{t}(i) = flsi(eigen_Z,gtZ);
    absrel{t}(i) = fabsrel(eigen_Z,gtZ);
    sqrrel{t}(i) = fsqrrel(eigen_Z,gtZ);
    rho{t}(i) = frho(eigen_Z,gtZ);
    [WKDR{t}(i),WKDR_eq{t}(i),WKDR_neq{t}(i)] = WHDR(inpaint_pad(eigen_Z,crop),points,comps,delta,'closer_raw',relation_score);
    
    
    
    t=t+1;
    
    %f = @(x) (sqrt(mean(fmse(x(1)*mean_Z_image_+x(2),gtZ))));
    %x = fminsearch(f,[1,0]);
    %x = find_ab(mean_Z_image_,gtZ);
    %mean_Z_image_ = x(1)*mean_Z_image_+x(2);
    
    mse{t}(i) = fmse(mean_Z_image_,gtZ);
    mse_i{t}(i) = fmse_i(mean_Z_image_,gtZ);
    mselog{t}(i) = fmselog(mean_Z_image_,gtZ);
    lsi{t}(i) = flsi(mean_Z_image_,gtZ);
    absrel{t}(i) = fabsrel(mean_Z_image_,gtZ);
    sqrrel{t}(i) = fsqrrel(mean_Z_image_,gtZ);
    rho{t}(i) = frho(mean_Z_image_,gtZ);
    [WKDR{t}(i),WKDR_eq{t}(i),WKDR_neq{t}(i)] = WHDR(inpaint_pad(mean_Z_image_,crop),points,comps,delta,'closer_raw',relation_score);

    
    t=t+1;
    mse{t}(i) = fmse(gtZ,gtZ);
    mse_i{t}(i) = fmse_i(gtZ,gtZ);
    mselog{t}(i) = fmselog(gtZ,gtZ);
    lsi{t}(i) = flsi(gtZ,gtZ);
    absrel{t}(i) = fabsrel(gtZ,gtZ);
    sqrrel{t}(i) = fsqrrel(gtZ,gtZ);
    rho{t}(i) = frho(gtZ,gtZ);
    [WKDR{t}(i),WKDR_eq{t}(i),WKDR_neq{t}(i)] = WHDR(gt_depths(:,:,idx(i)),points,comps,delta,'closer_raw',relation_score);

    
    
%     subplot(2,2,1); showim(gtZ); title('gt');
%     subplot(2,2,2); showim(Z); title('ours');
%     subplot(2,2,3); showim(eigen_Z); title('eigen');
%     drawnow;
%     keyboard;
end
%%
fprintf('our rmse: %1.2f\n',sqrt(mean(mse{1}(1:how_many))));
fprintf('eigen rmse: %1.2f\n',sqrt(mean(mse{2}(1:how_many))));
fprintf('mean depth image rmse: %1.2f\n',sqrt(mean(mse{3}(1:how_many))));

%%
fprintf('our rmse_i: %1.2f\n',sqrt(mean(mse_i{1}(1:how_many))));
fprintf('eigen rmse_i: %1.2f\n',sqrt(mean(mse_i{2}(1:how_many))));
fprintf('mean depth image rmse_i: %1.2f\n',sqrt(mean(mse_i{3}(1:how_many))));

%%
fprintf('our rmselog: %1.2f\n',sqrt(mean(mselog{1}(1:how_many))));
fprintf('eigen rmselog: %1.2f\n',sqrt(mean(mselog{2}(1:how_many))));
fprintf('mean depth image rmselog: %1.2f\n',sqrt(mean(mselog{3}(1:how_many))));

%%
fprintf('our absrel: %1.2f\n',(mean(absrel{1}(1:how_many))));
fprintf('eigen absrel: %1.2f\n',(mean(absrel{2}(1:how_many))));
fprintf('mean depth image absrel: %1.2f\n',(mean(absrel{3}(1:how_many))));
%%
fprintf('our sqrrel: %1.2f\n',(mean(sqrrel{1}(1:how_many))));
fprintf('eigen sqrrel: %1.2f\n',(mean(sqrrel{2}(1:how_many))));
fprintf('mean depth image sqrrel: %1.2f\n',(mean(sqrrel{3}(1:how_many))));

%%
fprintf('our lsi: %1.2f\n',sqrt(0.5*mean(lsi{1}(1:how_many))));
fprintf('eigen lsi: %1.2f\n',sqrt(0.5*mean(lsi{2}(1:how_many))));
fprintf('mean depth image lsi: %1.2f\n',sqrt(0.5*mean(lsi{3}(1:how_many))));

%% Spearman correlation
fprintf('our rho: %1.2f\n',(mean(rho{1}(1:how_many))));
fprintf('eigen rho: %1.2f\n',(mean(rho{2}(1:how_many))));
fprintf('mean depth image rho: %1.2f\n',(mean(rho{3}(1:how_many))));

%% WKDR
fprintf('\nour WKDR: %1.4f\n',(mean(WKDR{1}(1:how_many))));
fprintf('eigen WKDR: %1.4f\n',(mean(WKDR{2}(1:how_many))));
fprintf('mean depth image WKDR: %1.4f\n',(mean(WKDR{3}(1:how_many))));
fprintf('gt WKDR: %1.4f\n',(mean(WKDR{4}(1:how_many))));

fprintf('\nour WKDR_eq: %1.4f\n',(mean(WKDR_eq{1}(1:how_many))));
fprintf('eigen WKDR_eq: %1.4f\n',(mean(WKDR_eq{2}(1:how_many))));
fprintf('mean depth image WKDR_eq: %1.4f\n',(mean(WKDR_eq{3}(1:how_many))));
fprintf('gt WKDR_eq: %1.4f\n',(mean(WKDR_eq{4}(1:how_many))));

fprintf('\nour WKDR_ie: %1.4f\n',(mean(WKDR_neq{1}(1:how_many))));
fprintf('eigen WKDR_ie: %1.4f\n',(mean(WKDR_neq{2}(1:how_many))));
fprintf('mean depth image WKDR_ie: %1.4f\n',(mean(WKDR_neq{3}(1:how_many))));
fprintf('gt WKDR_ie: %1.4f\n',(mean(WKDR_neq{4}(1:how_many))));

