init_setup

MIT_data_dir = '~/work/toolbox/SIRFS/data/MIT-Berkeley-Laboratory/';

directories = dir(MIT_data_dir);

MSE = [];
diffuse = {};
masks = {};
gt_R = {};
gt_Z = {};
lights_images = {};
t = 1;
for d=1:length(directories)
    if directories(d).name(1)=='.' || ~directories(d).isdir
        continue
    end
    
    model_dir = sprintf('%s%s/',MIT_data_dir,directories(d).name);
    
    diffuse{t} = (imread([model_dir 'diffuse.png']));
    masks{t} = imread([model_dir 'mask.png']);
    gt_R{t} = im2uint8(imread([model_dir 'reflectance.png']));
    load([model_dir 'Z.mat']); gt_Z{t} = depth;
    lights_images{t} = {};
    for l=1:10
        fname = sprintf([model_dir 'light%02d.png'],l);
        if exist(fname,'file')
            lights_images{t}{l} = imread(fname);
        end
    end
    
    t=t+1;
end   

%%
mkdir([DATA_DIR 'MIT']);
save([DATA_DIR 'MIT/data.mat'],'gt_Z','gt_R','lights_images','diffuse','masks');