opts = get_default_opts();

% should use train or test
opts.MIT_gen.delta_depth = 0.02;
opts.MIT_gen.delta_R = 0.1;

% keypoint parameters
kp_params = [];
kp_params.min_sep = 0.03;
kp_params.reg = 0.05;
kp_params.pixel_neighbors = 0;
kp_params.r = 3;
kp_params.use_multiscale = true;

kp_params.use_random = false;
kp_params.num_pairs = 1000;

opts.MIT_gen.kp_params = kp_params;
opts.MIT_gen.OUT_DIR = 'MIT/MIT_annotations_simple_ms/';
opts.MIT_gen.use_second_order_neighbors = false;

opts.viz = true;

generate_MIT_annotations_simple(opts);