function [preds,fs] = get_gt_annotations_depth(I,points,comps,opts)
gtZ = opts.gtZ;
delta = opts.delta;

fs = [];
preds = [];

for i=1:length(comps)
    p1 = points(comps(i).point1);
    p2 = points(comps(i).point2);
    
    z1 = gtZ(p1.ind);
    z2 = gtZ(p2.ind);
    
    if (z1/z2)>1+delta
        fs = [fs; 0 0 1];
        preds = [preds; 2];
    elseif (z2/z1)>1+delta
        fs = [fs; 0 1 0];
        preds = [preds; 1];
    else
        fs = [fs; 1 0 0];
        preds = [preds; 0];
    end
end

fs = fs';