function [preds,f] = infer_ordinal_relations_ROI(I,points,comps,opts)
    [P1,P2,BB,M] = extract_patches_roi_from_comps(I,points,comps,opts);
    II = repmat(imresize(I,[opts.params_ROI.I_size opts.params_ROI.I_size]),[1,1,1,size(M,4)]);
    
    f = compute_DNN_features_generic({II,P1,P2,BB,M},opts);	
    [~,preds] = max(f,[],1); preds = preds-1;
end